OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.DataType

Description

This is a purely internal module for (un-)marshaling DataType.

# Documentation

data DataType

Constructors

UnsignedByte |
Byte |
UnsignedShort |
Short |
UnsignedInt |
Int |
HalfFloat |
Float |
UnsignedByte332 |
UnsignedByte233Rev |
UnsignedShort565 |
UnsignedShort565Rev |
UnsignedShort4444 |
UnsignedShort4444Rev |
UnsignedShort5551 |
UnsignedShort1555Rev |
UnsignedInt8888 |
UnsignedInt8888Rev |
UnsignedInt1010102 |
UnsignedInt2101010Rev |
UnsignedInt248 |
UnsignedInt10f11f11fRev |
UnsignedInt5999Rev |
Float32UnsignedInt248Rev |
Bitmap |
UnsignedShort88 |
UnsignedShort88Rev |
Double |
TwoBytes |
ThreeBytes |
FourBytes |

Instances

Eq DataType |
Ord DataType |
Show DataType |

marshalDataType :: DataType -> GLenum

unmarshalDataType :: GLenum -> DataType

data DataTypeType

Constructors

TNone |
TSignedNormalized |
TUnsignedNormalized |
TFloat |
TInt |
TUnsignedInt |

marshalDataTypeType :: DataTypeType -> GLenum

unmarshalDataTypeType :: GLenum -> DataTypeType